    SMTP-SINK(1)                                                      SMTP-SINK(1)

    NAME
           smtp-sink - multi-threaded SMTP/LMTP test server

    SYNOPSIS
           smtp-sink [options] [inet:][host]:port backlog

           smtp-sink [options] unix:pathname backlog

    DESCRIPTION
           smtp-sink listens on the named host (or address) and port.
           It takes SMTP messages from the network  and  throws  them
           away.   The  purpose is to measure client performance, not
           protocol compliance.

           Connections can be accepted on IPv4 or IPv6 endpoints,  or
           on  UNIX-domain  sockets.   IPv4 and IPv6 are the default.
           This program is the complement of the smtp-source(1)  pro-
           gram.

           Arguments:

           -4     Support  IPv4  only. This option has no effect when
                  Postfix is built without IPv6 support.

           -6     Support IPv6 only. This  option  is  not  available
                  when Postfix is built without IPv6 support.

           -a     Do not announce SASL authentication support.

           -c     Display  a running counter that is updated whenever
                  an SMTP QUIT command is executed.

           -C     Disable XCLIENT support.

           -e     Do not announce ESMTP support.

           -f command,command,...
                  Reject the specified commands  with  a  hard  (5xx)
                  error code.

           -F     Disable XFORWARD support.

           -h hostname
                  Use  hostname  in  the  SMTP  greeting, in the HELO
                  response, and in the  EHLO  response.  The  default
                  hostname is "smtp-sink".

           -L     Enable LMTP instead of SMTP.

           -n count
                  Terminate after count sessions. This is for testing
                  purposes.

           -p     Do not announce support for ESMTP command  pipelin-
                  ing.

           -P     Change  the  server  greeting so that it appears to
                  come through a CISCO PIX system. Implies -e.

           -q command,command,...
                  Disconnect (without replying) after  receiving  one
                  of the specified commands.

           -r command,command,...
                  Reject  the  specified  commands  with a soft (4xx)
                  error code.

           -s command,command,...
                  Log the named commands  to  syslogd.   Examples  of
                  commands  that  can be logged are HELO, EHLO, LHLO,
                  MAIL, RCPT, VRFY, RSET, NOOP,  and  QUIT.  Separate
                  command  names  by  white  space or commas, and use
                  quotes to protect white space from the shell.  Com-
                  mand names are case-insensitive.

           -v     Show the SMTP conversations.

           -w delay
                  Wait delay seconds before responding to a DATA com-
                  mand.

           -8     Do not announce 8BITMIME support.

           [inet:][host]:port
                  Listen on  network  interface  host  (default:  any
                  interface) TCP port port. Both host and port may be
                  specified in numeric or symbolic form.

           unix:pathname
                  Listen on the UNIX-domain socket at pathname.

           backlog
                  The maximum length the  queue  of  pending  connec-
                  tions, as defined by the listen(2) system call.

    SEE ALSO
           smtp-source(1), SMTP/LMTP message generator

    LICENSE
           The  Secure  Mailer  license must be distributed with this
           software.

    AUTHOR(S)
           Wietse Venema
           IBM T.J. Watson Research
           P.O. Box 704
           Yorktown Heights, NY 10598, USA

                                                                      SMTP-SINK(1)